Scilab Function

htrianr - triangularisation d'une matrice de polynômes

### Calling Sequence

  `[Ar,U,rk]=htrianr(A)`

### Parameters

- `A` : matrice de polynômes
- `Ar` : matrice de polynômes
- `U` : matrice unimodulaire de polynômes
- `rk` : entier, le rang normal de `A`

### Description

triangularisation de la matrice de polynômes `A` .

`A` de taille `[m,n]` , `m <= n` .

`Ar=A*U`

### Examples

    x=poly(0,'x');
    M=[x;x^2;2+x^3]*[1,x-2,x^4];
    [Mu,U,rk]=htrianr(M)
    det(U)
    M*U(:,1:2)

### See Also

`hrmt` , `colcompr` ,